Skip to main content
`Ctrl`+`K`

# VECCUDA

VECCUDA = “cuda” - A `VECSEQCUDA` on a single-process MPI communicator, and `VECMPICUDA` otherwise.

## Options Database Keys

- -vec_type cuda - sets the vector type to `VECCUDA` during a call to `VecSetFromOptions()`

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIWithArray()`, `VECSEQCUDA`, `VECMPICUDA`, `VECSTANDARD`, `VecType`, `VecCreateMPI()`, `VecSetPinnedMemoryMin()`, `VECHIP`

## Level

beginner

## Location

src/vec/vec/impls/mpi/cupm/cuda/vecmpicupm.cu

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages